%global fontconfig_prio 61
Name:          urw-base35-fonts
Version:       20200910
Release:       2mamba
Summary:       URW)++ base 35 font set
License:       Affero GNU Public License, GPL
Group:         System/Fonts
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ArtifexSoftware/urw-base35-fonts
Source:        https://github.com/ArtifexSoftware/urw-base35-fonts.git/%{version}/urw-base35-fonts-%{version}.tar.bz2
Source1:       urw-fonts.tar.gz
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Provides:      urw-fonts
Obsoletes:     urw-fonts <= 2017.07.27
Provides:      ghostscript-fonts
Obsoletes:     ghostscript-fonts <= 8.11
Requires(post): fontconfig

%description
35 type 1 PostScript fonts donated and licenced under the GPL by URW.
You can get this package together with a custom made fonts.dir and fonts.scale file (which is the same as the fonts.dir file) from here.
The fonts.dir was specially made to match the original Adobe names of the fonts, e.g. Times, Helvetica etc.

%prep
%setup -q -a1

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d -m0755 %{buildroot}%{_datadir}/fonts/URW
cp fonts/*.{t1,afm,otf} %{buildroot}%{_datadir}/fonts/URW/
# Legacy fonts
cp URW/**.{afm,pfm} %{buildroot}%{_datadir}/fonts/URW/

install -d -m0755 %{buildroot}%{_datadir}/metainfo
cp appstream/*.xml %{buildroot}%{_datadir}/metainfo/

install -d -m 0755 %{buildroot}%{_datadir}/fontconfig/conf.avail
install -d -m 0755 %{buildroot}%{_sysconfdir}/fonts/conf.d
# Install the fontconfig files with correct priority for our distribution:
for file in fontconfig/*.conf; do
  DISTRO_FILENAME="%{fontconfig_prio}-$(basename $file)"
  install -m 0644 -p $file %{buildroot}%{_datadir}/fontconfig/conf.avail/$DISTRO_FILENAME
  ln -sf %{_datadir}/fontconfig/conf.avail/$DISTRO_FILENAME %{buildroot}%{_sysconfdir}/fonts/conf.d/$DISTRO_FILENAME
done

# Some of the fontconfig files are not to be shipped:
#  * urw-fallback-specifics.conf - these mappings are already provided by fontconfig
#  * urw-fallback-generics.conf - no use-cases for this as far as we know
rm -f %{buildroot}%{_datadir}/fontconfig/conf.avail/%{fontconfig_prio}-urw-fallback-{specifics,generics}.conf
rm -f %{buildroot}%{_sysconfdir}/fonts/conf.d/%{fontconfig_prio}-urw-fallback-{specifics,generics}.conf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
# something has probably changed, update the font-config cache
/usr/bin/fc-cache
exit 0

%postun
# erase
/usr/bin/fc-cache
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/fonts/conf.d/61-urw-*.conf
%{_datadir}/fontconfig/conf.avail/61-urw-*.conf
%{_datadir}/metainfo/*.xml
%dir %{_datadir}/fonts/URW
%{_datadir}/fonts/URW/*
%doc COPYING LICENSE

%changelog
* Thu Dec 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20200910-2mamba
- provide/obsolete ghostscript-fonts

* Wed Dec 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20200910-1mamba
- update to 20200910

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 2017.07.27-1mamba
- automatic version update by autodist

* Mon Jul 15 2013 Automatic Build System <autodist@mambasoft.it> 1.0-6mamba
- automatic rebuild by autodist

* Thu Jun 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-5mamba
- specfile updated and rebuilt

* Fri Sep 02 2005 Massimo Pintore <massimo.pintore@qilinux.it> 1.0-4qilnx
- rebuilt with correct postun script

* Fri Feb 04 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-3qilnx
- rebuilt as a noarch package

* Sun Nov 02 2003 Davide Madrisan <davide.madrisan@qilinux.it> 1.0-2qilnx
- spec file updates

* Fri Jul 18 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.0-1qilnx
- first build for urw-fonts
